Bug 1558066 (CVE-2017-18232) - CVE-2017-18232 kernel: Mishandling mutex within libsas allowing local Denial of Service
Summary: CVE-2017-18232 kernel: Mishandling mutex within libsas allowing local Denial ...
Status: NEW
Alias: CVE-2017-18232
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20171208,reported=2...
Keywords: Security
Depends On: 1558068 1560185 1560187 1558067 1560186 1560188 1560189
Blocks: 1558070
TreeView+ depends on / blocked
 
Reported: 2018-03-19 14:36 UTC by Adam Mariš
Modified: 2019-02-08 15:01 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The Serial Attached SCSI (SAS) implementation in the Linux kernel mishandles a mutex within libsas. This allows local users to cause a denial of service (deadlock) by triggering certain error-handling code.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:32 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:38 UTC

Description Adam Mariš 2018-03-19 14:36:02 UTC
The Serial Attached SCSI (SAS) implementation in the Linux kernel mishandles a mutex within libsas, which allows local users to cause a denial of service (deadlock) by triggering certain error-handling code.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0558f33c06bb910e2879e355192227a8e8f0219d

Comment 1 Adam Mariš 2018-03-19 14:36:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1558067]

Comment 6 Fedora Update System 2018-03-27 19:29:27 UTC
kernel-4.15.12-201.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2018-10-30 07:32:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 8 errata-xmlrpc 2018-10-30 07:38:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096


Note You need to log in before you can comment on or make changes to this bug.